3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php function a() { return new Exception(); } function b() { throw new Exception(); } $ex = a(); echo (string)$ex; echo PHP_EOL . PHP_EOL . PHP_EOL; try { b(); } catch (Exception $ex) { echo (string)$ex; }
based on anLWd
Output for 7.0.0 - 7.2.0
Exception in /in/BADjp:4 Stack trace: #0 /in/BADjp(11): a() #1 {main} Exception in /in/BADjp:8 Stack trace: #0 /in/BADjp(17): b() #1 {main}
Output for 5.3.19 - 5.6.28
exception 'Exception' in /in/BADjp:4 Stack trace: #0 /in/BADjp(11): a() #1 {main} exception 'Exception' in /in/BADjp:8 Stack trace: #0 /in/BADjp(17): b() #1 {main}